
(*<$Description$>
 * This function block controls a call in between a defined task cycle time.
 * The value OF the task cycle time must pe parameterized at input I_timCycleTime.
 * With a fix tolerance OF 1ms, the elapsed time is checked between two calls AND 
 * an error is set IF the time finished.
 * The error output is NOT static, must NOT be reset.
</$Description$>*)
FUNCTION_BLOCK FB_CheckCallInInterval
    xCallError := FALSE;
    (* Enable/Disable function block processing *)
    IF NOT I_xEnable THEN
        (* Reset to default value. *)
        Ton_CycleTime(IN := FALSE); 
        iCycleCnt := 0;

    ELSE	
        iCycleCnt := iCycleCnt +1;	
        Ton_CycleTime(IN := TRUE, PT:= I_timCycleTime + T#1MS);		
	
        //Cycle1 -> Cnt =1, Start TON
        //Cycle1 -> Cnt =2; Read ET and Reset/Start TON fb fr next calls 
        IF (iCycleCnt > 1) THEN
            IF Ton_CycleTime.Q THEN
                xCallError := TRUE;	
            END_IF
            Ton_CycleTime(IN:=FALSE); (* Reset timer *)
            Ton_CycleTime(IN:=TRUE,PT:= I_timCycleTime + T#1MS);  (* Restart timer *)
            iCycleCnt := 1;
        END_IF
    END_IF

    (* Define outputs *)
    Q_xCallFailed := xCallError;
END_FUNCTION_BLOCK
