
TYPE
	ST_DiagCodes : 	STRUCT  (*This structure contains the defined diagnostic codes of the Preventa XPS safety module, each represented as BOOLEAN structure member.*)
		xOperational : BOOL; (* Diagcode  - Supply ok, everything OK, Safety outputs ON a Module is in operational state only here. *)
		xWaitMonStartFTrig : BOOL; (* Diagcode  - Supply ok, inputs OK, start pressed, waiting for falling edge for monitored start. *)
		xWaitMonStartRTrig : BOOL; (* Diagcode  - Supply ok, inputs OK, waiting for rising edge for automatic/manual or monitored start. *)
		xWaitStartUpTest : BOOL; (* Diagcode  - Supply ok, waiting for Start-up test *)
		xInp63ChangeState : BOOL; (* Diagcode  - Supply ok, input 63 needs to change the state *)
		xInp62ChangeState : BOOL; (* Diagcode  - Supply ok, input 62 needs to change the state. In case of antivalent, inputs 6x needs to change the state. *)
		xInp53ChangeState : BOOL; (* Diagcode  - Supply ok, input 53 needs to change the state. *)
		xInp52ChangeState : BOOL; (* Diagcode  - Supply ok, input 52 needs to change the state. In case of antivalent, inputs 5x needs to change the state. *)
		xInp43ChangeState : BOOL; (* Diagcode  - Supply ok, input 43 needs to change the state. *)
		xInp42ChangeState : BOOL; (* Diagcode  - Supply ok, input 42 needs to change the state. In case of antivalent, inputs 4x needs to change the state. *)
		xInp33ChangeState : BOOL; (* Diagcode  - Supply ok, input 33 needs to change the state.*)
		xInp32ChangeState : BOOL; (* Diagcode  - Supply ok, input 32 needs to change the state. In case of antivalent, inputs 3x needs to change the state.  *)
		xInp23ChangeState : BOOL; (* Diagcode  - Supply ok, input 23 needs to change the state. *)
		xInp22ChangeState : BOOL; (* Diagcode  - Supply ok, input 22 needs to change the state. In case of antivalent, inputs 2x needs to change the state. *)
		xInp13ChangeState : BOOL; (* Diagcode  - Supply ok, input 13 needs to change the state.  *)
		xInp12ChangeState : BOOL; (* Diagcode  - Supply ok, input 12 needs to change the state. In case of antivalent, inputs 1x needs to change the state. *)
		xIoffAllNOCoff : BOOL; (* Diagcode  - Supply ok,inputs off, aII NOC off *)
		xIoffNOCoffDelayC : BOOL; (* Diagcode  - Supply ok, all immed NOC off, delayed NOC still closed *)
		xSyncFltTestInRun : BOOL; (* Diagcode  - Supply ok, synchronization failure. Testing of input device on going. *)
		xSyncFltWaitTest : BOOL; (* Diagcode  - Supply ok, synchonization failure. Waiting for testing of input device. *)
		xErrorS2x : BOOL; (* Diagcode  - Supply ok, antivalent error S2x. *)
		xErrorS1x : BOOL; (* Diagcode  - Supply ok, antivalent error S1x. *)
		xExtFltDelayCirc : BOOL; (* Diagcode  - Supply ok, external error in interrupting elapsing time delay circuitry *)
		xExtFltStartMonFdb : BOOL; (* Diagcode  - Supply ok, external error in start-feedback circuit *)
		xExtFltIn63Circ : BOOL; (* Diagcode  - Supply ok, external error in input63 circuitry *)
		xExtFltIn62Circ : BOOL; (* Diagcode  - Supply ok, external error in input62 circuitry *)
		xExtFltIn53Circ : BOOL; (* Diagcode  - Supply ok, external error in input53 circuitry *)
		xExtFltIn52Circ : BOOL; (* Diagcode  - Supply ok, external error in input52 circuitry *)
		xExtFltIn43Circ : BOOL; (* Diagcode  - Supply ok, external error in input43 circuitry *)
		xExtFltIn42Circ : BOOL; (* Diagcode  - Supply ok, external error in input42 circuitry *)
		xExtFltIn33Circ : BOOL; (* Diagcode  - Supply ok, external error in input33 circuitry *)
		xExtFltIn32Circ : BOOL; (* Diagcode  - Supply ok, external error in input32 circuitry *)
		xExtFltIn23Circ : BOOL; (* Diagcode  - Supply ok, external error in input23 circuitry *)
		xExtFltIn22Circ : BOOL; (* Diagcode  - Supply ok, external error in input22 circuitry *)
		xExtFltIn13Circ : BOOL; (* Diagcode  - Supply ok, external error in input13 circuitry *)
		xExtFltIn12Circ : BOOL; (* Diagcode  - Supply ok, external error in input12 circuitry *)
		xErrorConfig : BOOL; (* Diagcode  - Supply ok, error in configuration. *)
		xIntFltInExModule : BOOL; (* Diagcode  - Internal error in expansion module. If persists after reboot, change the module. *)
		xIntFlt : BOOL; (* Diagcode  - Internal error. If persists after reboot, change the module. *)
		xSupplyOutOfTol : BOOL; (* Diagcode  - Supply out of tolerance, only µC and diagnostic output somewhat functional. *)
	END_STRUCT;
	ST_DevControl : 	STRUCT  (*This structure defines the monitoring parameter for the safety contacts channels of the Preventa XPS safety module and for its output channels.*)
		udiMaxNumOp : UDINT; (* Maximum number of operating cycles of the output device connected to the output of to the safety module itself. *)
		xReset : BOOL; (* State-controlled input for resetting the maintenance result for the connected device to 0. *)
	END_STRUCT;
	ST_InputControl : 	STRUCT  (*This structure defines the monitoring parameters for the input channels of the module and so for the devices connected to the inputs.*)
		udiMaxNumOp : UDINT; (* Maximum number of operating cycles of the input device connected to the input specified at byMonitorInput1. *)
		byMonitorInput1 : BYTE; (* First input to be monitored. Enter the input channel of the Preventa XPS safety module to which the input device is connected. *)
		byMonitorInput2 : BYTE; (* Second input to be monitored. Use the second input for dual-channel devices. *)
		xReset : BOOL; (* State-controlled input for resetting the maintenance result for the connected device to 0. *)
	END_STRUCT;
	ST_RemainNumOp : 	STRUCT  (*This structure stores the calculation results.*)
		udiNumOpRemainProc : UDINT; (* Remaining number of operating cycles of the safety contacts channels in the Preventa XPS safety module. *)
		audiNumOpRemainInp : ARRAY[1..6]OF UDINT; (* Remaining number of operating cycles for devices connected to the inputs of the Preventa XPS safety module. *)
		audiNumOpRemainOut : ARRAY[1..13]OF UDINT; (* Remaining number of operating cycles for devices connected to the outputs of the Preventa XPS safety module. *)
	END_STRUCT;
END_TYPE
